#
# "$Id: mime.convs,v 1.21 2005/01/03 19:29:45 mike Exp $"
#
#   MIME converts file for the Common UNIX Printing System (CUPS).
#
#   Copyright 1997-2005 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "LICENSE.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: CUPS Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636 USA
#
#       Voice: (301) 373-9600
#       EMail: cups-info@cups.org
#         WWW: http://www.cups.org
#

########################################################################
#
# Format of Lines:
#
#   source/type destination/type cost filter
#
# General Notes:
#
#   The "cost" field is used to find the least costly filters to run
#   when converting a job file to a printable format.
#
#   All filters *must* accept the standard command-line arguments
#   (job-id, user, title, copies, options, [filename or stdin]) to
#   work with CUPS.
#

########################################################################
#
# PostScript filters
#

application/pdf		application/postscript	33	pdftops
application/postscript	application/vnd.cups-postscript	66	pstops
application/vnd.hp-HPGL	application/postscript	66	hpgltops
application/x-cshell	application/postscript	33	texttops
application/x-perl	application/postscript	33	texttops
application/x-shell	application/postscript	33	texttops
text/plain		application/postscript	33	texttops
text/html		application/postscript	33	texttops
image/gif		application/vnd.cups-postscript	66	imagetops
image/png		application/vnd.cups-postscript	66	imagetops
image/jpeg		application/vnd.cups-postscript	66	imagetops
image/tiff		application/vnd.cups-postscript	66	imagetops
image/x-bitmap		application/vnd.cups-postscript	66	imagetops
image/x-photocd		application/vnd.cups-postscript	66	imagetops
image/x-portable-anymap	application/vnd.cups-postscript	66	imagetops
image/x-portable-bitmap	application/vnd.cups-postscript	66	imagetops
image/x-portable-graymap application/vnd.cups-postscript	66	imagetops
image/x-portable-pixmap	application/vnd.cups-postscript	66	imagetops
image/x-sgi-rgb		application/vnd.cups-postscript	66	imagetops
image/x-xbitmap		application/vnd.cups-postscript	66	imagetops
image/x-xpixmap		application/vnd.cups-postscript	66	imagetops
#image/x-xwindowdump	application/vnd.cups-postscript	66	imagetops
image/x-sun-raster	application/vnd.cups-postscript	66	imagetops


########################################################################
#
# Form filter...
#
# This filter does not currently exist, but the file format is defined
# in the IDD and registered with the IANA for future use...
#

#application/vnd.cups-form application/vnd.cups-postscript 33 formtops

########################################################################
#
# Raster filters...
#

image/gif		application/vnd.cups-raster	100	imagetoraster
image/png		application/vnd.cups-raster	100	imagetoraster
image/jpeg		application/vnd.cups-raster	100	imagetoraster
image/tiff		application/vnd.cups-raster	100	imagetoraster
image/x-bitmap		application/vnd.cups-raster	100	imagetoraster
image/x-photocd		application/vnd.cups-raster	100	imagetoraster
image/x-portable-anymap	application/vnd.cups-raster	100	imagetoraster
image/x-portable-bitmap	application/vnd.cups-raster	100	imagetoraster
image/x-portable-graymap application/vnd.cups-raster	100	imagetoraster
image/x-portable-pixmap	application/vnd.cups-raster	100	imagetoraster
image/x-sgi-rgb		application/vnd.cups-raster	100	imagetoraster
image/x-xbitmap		application/vnd.cups-raster	100	imagetoraster
image/x-xpixmap		application/vnd.cups-raster	100	imagetoraster
#image/x-xwindowdump	application/vnd.cups-raster	100	imagetoraster
image/x-sun-raster	application/vnd.cups-raster	100	imagetoraster

# pstoraster is now part of ESP Ghostscript...
#application/vnd.cups-postscript	application/vnd.cups-raster	100	pstoraster

########################################################################
#
# Raw filter...
#
# Uncomment the following filter and the application/octet-stream type
# in mime.types to allow printing of arbitrary files without the -oraw
# option.
#

#application/octet-stream	application/vnd.cups-raw	0	-

#
# End of "$Id: mime.convs,v 1.21 2005/01/03 19:29:45 mike Exp $".
#
